# List alerts Returns a page of alerts. Endpoint: GET /alerts Version: 26.2.0.4309 Security: Bearer ## Query parameters: - `providerId` (string) If set, the items will be filtered on provider with the specified identifier. - `providerName` (string) - `providerNpi` (integer) - `type` (array) If set, the items will be filtered on alerts of the specified type Enum: "LicenseChanged", "LicenseExpiresSoon", "LicenseExpired", "ProfileImportCompleted" - `status` (string) If set, filter the items by the dismissal status. Enum: "Active", "Dismissed" - `sortDirection` (string) The direction the returned data will be sorted by. Enum: "Asc", "Desc" - `providerDeactivated` (boolean) If set, the items will be filtered on providers with the specified deactivated status. - `sortedBy` (string) The property by which the returned data will be sorted. Enum: "Timestamp" - `sort` (object) If set, the properties and directions the returned data will be sorted by. - `cursor` (string) The cursor to render the page requested. To load the first page send an empty cursor, then the system will generate the cursors to go to the next and/or previous pages automatically. - `count` (integer) The number of items to include in a single page. - `offset` (integer) The offset for the page to start. ## Response 200 fields (application/json): - `sort` (object) The properties and directions the data is sorted by. Example: {"Timestamp":"Asc"} - `sort.Keys` (string) Enum: "Timestamp" - `sort.Values` (string) Enum: "Asc", "Desc" - `previousCursor` (string) The value to use for cursor to get to the previous paginated page. null will be returned if it's the first page. Example: "string" - `nextCursor` (string) The value to use for cursor to get to the next paginated page. null will be returned if it's the last page. Example: "string" - `pageSize` (integer) The maximum number of items included in this page. - `count` (integer) The number of items in this page. - `totalCount` (integer) The total number of items in all pages combined. - `items` (array) The audit log entries in the current page. Example: [{"type":"LicenseChanged","providerId":"4834bcdc-4a64-444d-966b-1a6fe381da24","entityType":"License","entityId":"156e622c-6cdf-4c27-9bc9-2f2db69919f5","data":{"messageTemplate":"string","messageParams":{"property1":"string","property2":"string"},"data":{"property1":"string","property2":"string"}},"timestamp":"2019-08-24T14:15:22.0000000Z","dismissalTimestamp":"2019-08-24T14:15:22.0000000Z","dismissalNote":"string","id":"497f6eca-6276-4993-bfeb-53cbbbba6f08"}] - `items.type` (string) The type of event that led to this alert. Enum: "LicenseChanged", "LicenseExpiresSoon", "LicenseExpired", "ProfileImportCompleted" - `items.providerId` (string) Identifier of the provider related to this alert. - `items.provider` (object) - `items.provider.id` (string) Unique identifier associated with this provider. - `items.provider.firstName` (string, required) The first (given) name associated with this provider. - `items.provider.lastName` (string, required) The last (family) name associated with this provider. - `items.provider.dateOfBirth` (string) The date of birth of this provider. - `items.provider.ssn` (string) The social security number of this provider. - `items.provider.credentialingStatus` (string, required) The name of credentialing status. The default value is 'Data Collection'. - `items.provider.credentialedDate` (string) Date this provider was originally credentialed - `items.provider.nextCredentialingDate` (string) Date this provider should be credentialed next - `items.provider.npi` (integer) The 10 digit National Provider Identifiers (NPI) of this provider. - `items.provider.deactivated` (boolean) If set, the provider is deactivated. Verifications and profile imports can't be triggered for the inactive provider. - `items.provider.deactivatedAt` (string) - `items.provider.aliases` (array) A list of aliases that this provider is also known by. - `items.provider.aliases.firstName` (string) The first (given) name of this alias. - `items.provider.aliases.lastName` (string) The last (family) name of this alias. - `items.provider.aliases.id` (string) Unique identifier for this alias. - `items.provider.primaryPracticeState` (string) The primary practice state of the provider. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `items.provider.additionalPracticeStates` (array) Additional practice states of the provider. Cannot include the primary practice state. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `items.provider.gender` (string) Provider's gender (optional). Enum: "Unknown", "Male", "Female", "NonBinaryOrThirdGender", "Other", "PreferNotToSay" - `items.provider.ethnicity` (array) Provider's ethnicity (optional). Enum: "AmericanIndianOrAlaskaNative", "Asian", "BlackOrAfricanAmerican", "HispanicOrLatino", "NativeHawaiianOrOtherPacificIslander", "White", "PreferNotToSay", "NoInformationToAnswer" - `items.provider.addresses` (array) If set, the provider's addresses will be updated with this value. To remove the addresses pass an empty array. - `items.provider.addresses.state` (string, required) Abbreviation of the state in which the city is located. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `items.provider.addresses.zipCode` (string, required) The postal code associated with the address. - `items.provider.addresses.city` (string, required) The city in which the address is located. - `items.provider.addresses.addressLine1` (string, required) The street address. - `items.provider.addresses.addressLine2` (string) The secondary address information. - `items.provider.addresses.type` (string) The type of address. Enum: "Unspecified", "Home", "Work" - `items.provider.addresses.id` (string) Unique identifier for this address. - `items.provider.emails` (array) If set, the provider's emails will be updated with this value. To remove the emails pass an empty array. - `items.provider.emails.email` (string) The email associated with the provider. - `items.provider.emails.type` (string) The type of the email. Enum: "Unspecified", "Personal", "Work" - `items.provider.emails.id` (string) Unique identifier for this specific email. - `items.provider.phone` (string) Primary phone number associated with this provider - `items.provider.languages` (array) A list of languages, other than English, this provider speaks. - `items.provider.recredentialedDates` (array) A list of dates when this provider was re-credentialed. - `items.provider.providerType` (object) - `items.provider.providerType.id` (string) Unique identifier associated with this provider type. - `items.provider.providerType.name` (string) Associated provider type name. - `items.provider.segment` (object) Example: {"id":"3516a6ba-c998-4bfb-9017-322f8cf63674","name":"acme-corp"} - `items.provider.segment.id` (string) Unique identifier of the segment. Example: "3516a6ba-c998-4bfb-9017-322f8cf63674" - `items.provider.segment.name` (string) Name of the segment. Used for multi-tenant organizations for billing, configuration, and tracking purposes. Example: "acme-corp" - `items.provider.createdAt` (string) Timestamp when this provider was created. - `items.entityType` (string) If set, the type of the entity that EntityId refers to. Enum: "License", "Verification", "Alert", "NpiRecord", "Note", "BoardCertification", "BoardCertificationVerification", "DeaVerification", "DatasetScan", "DatasetRecord", "File", "ProfileImport", "NpdbVerificationRequest" - `items.entityId` (string) Identifier of the related entity that's relevant to this alert type. - `items.data` (object) - `items.data.messageTemplate` (string) An informative human readable message describing the action in the audit log entry. - `items.data.messageParams` (object) Collection of key/value pairs containing parameters to be replaced in messageTemplate. - `items.timestamp` (string) The date and time when this alert was triggered. - `items.dismissalTimestamp` (string) The date and time when this alert was dismissed, if at all. - `items.dismissalNote` (string) The note supplied as reason for dismissal, if and when this alert was dismissed. - `items.id` (string) Unique identifier for this alert. - `sortedBy` (string) The property by which the data is sorted. Enum: "Timestamp" - `sortDirection` (string) The direction in which the data is sorted. Enum: "Asc", "Desc" - `nextOffset` (integer) The value to use for offset to get the next page following the current page or null if this page is the last. ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 500 fields